{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"PathStack","colors":{"primary":"#2047FA","light":"#203dfa","dark":"#2047FA"},"favicon":"https://mintcdn.com/nuonic-39/IvvWU3allt6PGoB1/favicon.png?fit=max\u0026auto=format\u0026n=IvvWU3allt6PGoB1\u0026q=85\u0026s=13af1d1deb3e464f07af03b3c326ddd3","logo":{"light":"https://mintcdn.com/nuonic-39/syOOuB1ZSGS1zaSD/logo/light.png?fit=max\u0026auto=format\u0026n=syOOuB1ZSGS1zaSD\u0026q=85\u0026s=9b03c378d1fa1bbd0bfce37ccf17175c","dark":"https://mintcdn.com/nuonic-39/syOOuB1ZSGS1zaSD/logo/dark.png?fit=max\u0026auto=format\u0026n=syOOuB1ZSGS1zaSD\u0026q=85\u0026s=2e04739478900956a06ad5d8f726dfb1","href":"https://pathstack.io"},"api":{"openapi":["api-reference/openapi_2024-03-27.json","api-reference/openapi_2024-03-26.json"]},"navbar":{"links":[{"label":"Support","href":"mailto:support@pathstack.io"}],"primary":{"type":"button","label":"Sign up","href":"https://pathstack.io/register"}},"footer":{"socials":{"linkedin":"https://au.linkedin.com/company/nuonic"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nuonic-39","hasAudioNarration":false,"actualSubdomain":"nuonic-39","customDomains":["docs.pathstack.io"],"gitSource":{"type":"github","owner":"nuonic","repo":"midland-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6aa22862cf3ab925e991028c","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":83},{"language":"default","tag":"Endpoints","count":82},{"language":"default","tag":"Provider access guides","count":18},{"language":"default","tag":"Connections","count":14},{"language":"default","tag":"Milestones","count":12},{"language":"default","tag":"Documentation","count":12},{"language":"default","tag":"Devices","count":10},{"language":"default","tag":"Webhooks","count":10},{"language":"default","tag":"Legal","count":10},{"language":"default","tag":"Guides","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/2024-03-27/tenants/update-tenant-by-id","slug":"/api-reference/2024-03-27/tenants/update-tenant-by-id","pageMetadata":{"openapi":"openapi_2024-03-27 patch /tenant","title":"Update Tenant By Id","description":"This endpoint updates a Tenant.\n\nYou can specify the attributes which you want to be updated and their new values.\n\nThe updated Tenant is returned in the response.","href":"/api-reference/2024-03-27/tenants/update-tenant-by-id"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"This endpoint updates a Tenant.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"You can specify the attributes which you want to be updated and their new values.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The updated Tenant is returned in the response.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"openapi_2024-03-27 patch /tenant","title":"Update Tenant By Id","description":"This endpoint updates a Tenant.\n\nYou can specify the attributes which you want to be updated and their new values.\n\nThe updated Tenant is returned in the response.","href":"/api-reference/2024-03-27/tenants/update-tenant-by-id"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Tenants"],"summary":"Update Tenant By Id","description":"This endpoint updates a Tenant.\n\nYou can specify the attributes which you want to be updated and their new values.\n\nThe updated Tenant is returned in the response.","operationId":"update_tenant_by_id_tenant_patch","security":["3a6f7839-c8c6-41e0-9ad8-87402258aff0"],"parameters":["2736c608-a8d1-4fb8-81e4-9e9ef9dd430f"],"requestBody":"51f107b3-4483-4864-a2a8-ab6a9719c070","responses":{"200":"a1a6c43f-f208-4f1c-9b4a-3c90938e725f","400":"ad0fd1b4-c3a1-4b7c-8386-5026d87c380e","401":"618df611-8560-4023-b864-49701631d686","403":"2df24bb2-1f90-4e22-a495-f9ecdb3288af","404":"48ef7975-1fc2-491d-9b9c-46f5c0c016e0","422":"5eaf08ca-826c-40c7-b634-7a8f0d5fd508"},"method":"patch","type":"path","servers":["d1803bc1-eb91-4a2e-b2b3-a72ddd7dd766"],"path":"/tenant","baseUrlOptions":["https://api.pathstack.io"],"title":"Update Tenant By Id","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2736c608-a8d1-4fb8-81e4-9e9ef9dd430f":{"name":"x-api-version","in":"header","required":false,"schema":{"type":"string","format":"date","default":"2024-03-27","title":"X-Api-Version","isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate>"},"examples":{"default":{"value":"2024-03-27"}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"configuration":{"oneOf":[{"type":"object","title":"TenantConfiguration","properties":{"providers":{"oneOf":[{"type":"array","items":{"type":"string","enum":["mtdata","geotab","navman","mixtelematics","radius","verizon_connect","volvo","fleetsu","digital_matter","netstar","netstar_v2","webfleet","scania","linxio","geoforce","michelin_connected_fleet","navixy","netcorp","mapon","v_daq"],"title":"ProviderEnum","uniqueKey":"configuration.oneOf.0.providers.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Providers","uniqueKey":"configuration.oneOf.0.providers.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Providers","uniqueKey":"configuration.oneOf.0.providers.oneOf.1","typeLabel":"null"}],"uniqueKey":"configuration.oneOf.0.providers","typeLabel":"enum\u003cstring>[] | null"},"api_version":{"oneOf":[{"type":"string","title":"Api Version","format":"date","uniqueKey":"configuration.oneOf.0.api_version.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"Api Version","uniqueKey":"configuration.oneOf.0.api_version.oneOf.1","typeLabel":"null"}],"uniqueKey":"configuration.oneOf.0.api_version","typeLabel":"string\u003cdate> | null"}},"isRequired":true,"uniqueKey":"configuration.oneOf.0","typeLabel":"TenantConfiguration · object"},{"type":"null","isRequired":true,"uniqueKey":"configuration.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"configuration","typeLabel":"TenantConfiguration · object | null"},"name":{"oneOf":[{"type":"string","title":"Name","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","title":"Description","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"logo_url":{"oneOf":[{"type":"string","title":"Logo Url","uniqueKey":"logo_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Logo Url","uniqueKey":"logo_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"logo_url","typeLabel":"string | null"},"toc_link":{"oneOf":[{"type":"string","title":"Toc Link","uniqueKey":"toc_link.oneOf.0","typeLabel":"string"},{"type":"null","title":"Toc Link","uniqueKey":"toc_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"toc_link","typeLabel":"string | null"},"privacy_link":{"oneOf":[{"type":"string","title":"Privacy Link","uniqueKey":"privacy_link.oneOf.0","typeLabel":"string"},{"type":"null","title":"Privacy Link","uniqueKey":"privacy_link.oneOf.1","typeLabel":"null"}],"uniqueKey":"privacy_link","typeLabel":"string | null"}},"type":"object","required":["configuration"],"title":"TenantUpdate","uniqueKey":"","typeLabel":"TenantUpdate · object"},"examples":{"Example":{"title":"Example","value":{"configuration":{"providers":[],"api_version":"2023-12-25"},"name":"\u003cstring>","description":"\u003cstring>","logo_url":"\u003cstring>","toc_link":"\u003cstring>","privacy_link":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"a1a6c43f-f208-4f1c-9b4a-3c90938e725f":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","title":"Description","isRequired":true,"uniqueKey":"data.description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","isRequired":true,"uniqueKey":"data.description.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.description","typeLabel":"string | null"},"logo_url":{"oneOf":[{"type":"string","title":"Logo Url","isRequired":true,"uniqueKey":"data.logo_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Logo Url","isRequired":true,"uniqueKey":"data.logo_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.logo_url","typeLabel":"string | null"},"toc_link":{"oneOf":[{"type":"string","title":"Toc Link","isRequired":true,"uniqueKey":"data.toc_link.oneOf.0","typeLabel":"string"},{"type":"null","title":"Toc Link","isRequired":true,"uniqueKey":"data.toc_link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.toc_link","typeLabel":"string | null"},"privacy_link":{"oneOf":[{"type":"string","title":"Privacy Link","isRequired":true,"uniqueKey":"data.privacy_link.oneOf.0","typeLabel":"string"},{"type":"null","title":"Privacy Link","isRequired":true,"uniqueKey":"data.privacy_link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.privacy_link","typeLabel":"string | null"},"id":{"type":"string","format":"uuid4","title":"Id","isRequired":true,"uniqueKey":"data.id","typeLabel":"string\u003cuuid4>"},"connection_url":{"oneOf":[{"type":"string","title":"Connection Url","isRequired":true,"uniqueKey":"data.connection_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Connection Url","isRequired":true,"uniqueKey":"data.connection_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.connection_url","typeLabel":"string | null"},"configuration":{"oneOf":[{"type":"object","title":"TenantConfiguration","properties":{"providers":{"oneOf":[{"type":"array","items":{"type":"string","enum":["mtdata","geotab","navman","mixtelematics","radius","verizon_connect","volvo","fleetsu","digital_matter","netstar","netstar_v2","webfleet","scania","linxio","geoforce","michelin_connected_fleet","navixy","netcorp","mapon","v_daq"],"title":"ProviderEnum","uniqueKey":"data.configuration.oneOf.0.providers.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Providers","uniqueKey":"data.configuration.oneOf.0.providers.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Providers","uniqueKey":"data.configuration.oneOf.0.providers.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.configuration.oneOf.0.providers","typeLabel":"enum\u003cstring>[] | null"},"api_version":{"oneOf":[{"type":"string","title":"Api Version","format":"date","uniqueKey":"data.configuration.oneOf.0.api_version.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"Api Version","uniqueKey":"data.configuration.oneOf.0.api_version.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.configuration.oneOf.0.api_version","typeLabel":"string\u003cdate> | null"}},"uniqueKey":"data.configuration.oneOf.0","typeLabel":"TenantConfiguration · object"},{"type":"null","uniqueKey":"data.configuration.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.configuration","typeLabel":"TenantConfiguration · object | null"}},"type":"object","required":["name","description","logo_url","toc_link","privacy_link","id","connection_url"],"title":"TenantResponse","description":"Successful response payload","isRequired":true,"uniqueKey":"data","typeLabel":"TenantResponse · object"}},"type":"object","required":["data"],"title":"Success[TenantResponse]","uniqueKey":"","typeLabel":"Success[TenantResponse] · object"},"examples":{"Example":{"title":"Example","value":{"data":{"name":"\u003cstring>","description":"\u003cstring>","logo_url":"\u003cstring>","toc_link":"\u003cstring>","privacy_link":"\u003cstring>","id":"\u003cstring>","connection_url":"\u003cstring>","configuration":{"providers":["mtdata"],"api_version":"2023-12-25"}}}}},"exampleType":"generated"}},"exampleType":"generated"},"ad0fd1b4-c3a1-4b7c-8386-5026d87c380e":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","example":400,"title":"Error code","uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","example":"Invalid JWT format","title":"Error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":400,"message":"Invalid JWT format"}}}},"exampleType":"generated"}},"description":"Bad Request","exampleType":"generated"},"618df611-8560-4023-b864-49701631d686":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","example":401,"title":"Error code","uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","example":"Authentication header is missing, or token is invalid/expired.","title":"Error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":401,"message":"Authentication header is missing, or token is invalid/expired."}}}},"exampleType":"generated"}},"description":"Unauthorized","exampleType":"generated"},"2df24bb2-1f90-4e22-a495-f9ecdb3288af":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","example":403,"title":"Error code","uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","example":"You do not have access to this resource","title":"Error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":403,"message":"You do not have access to this resource"}}}},"exampleType":"generated"}},"description":"Forbidden","exampleType":"generated"},"48ef7975-1fc2-491d-9b9c-46f5c0c016e0":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","example":404,"title":"Error code","uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","example":"Device with ID \u003cdevice_id> not found","title":"Error message","uniqueKey":"error.message","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":404,"message":"Device with ID \u003cdevice_id> not found"}}}},"exampleType":"generated"}},"description":"Not Found","exampleType":"generated"},"5eaf08ca-826c-40c7-b634-7a8f0d5fd508":{"content":{"application/json":{"schema":{"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","example":422,"title":"Error code","uniqueKey":"error.code","typeLabel":"integer"},"message":{"type":"string","example":"Field required","title":"Error message","uniqueKey":"error.message","typeLabel":"string"},"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"error.loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"error.loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"error.loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","uniqueKey":"error.loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","uniqueKey":"error.msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","uniqueKey":"error.type","typeLabel":"string"}},"uniqueKey":"error","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":422,"message":"Field required","loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}}}},"exampleType":"generated"}},"description":"Unprocessable Entity","exampleType":"generated"}},"security":{"3a6f7839-c8c6-41e0-9ad8-87402258aff0":{"JWTBearer":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"d1803bc1-eb91-4a2e-b2b3-a72ddd7dd766":{"url":"https://api.pathstack.io","description":"PathStack production environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"JWTBearer","name":"Authorization"}],"title":"JWTBearer"}]},"originalFileLocation":"api-reference/openapi_2024-03-27.json"},"subdomain":"nuonic-39","siteName":"PathStack","title":"Update Tenant By Id - PathStack","navMaps":{"firstHrefInVersion":{"2024-03-27":{"href":"/api-reference/2024-03-27/tenants/update-tenant-by-id","matchLevel":0},"2024-03-26":{"href":"/api-reference/2024-03-26/tenants/update-tenant-by-id","matchLevel":1}},"firstHrefInLanguage":{}},"lastModified":"2025-09-09T05:08:00.503Z","originalFileLocation":"api-reference/2024-03-27/tenants/update-tenant-by-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint updates a Tenant. You can specify the attributes which you want to be updated and their new values. The updated Tenant is returned in the response.\">\u003cmeta data-mint-head name=\"application-name\" content=\"PathStack\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Tenant By Id - PathStack\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint updates a Tenant. You can specify the attributes which you want to be updated and their new values. The updated Tenant is returned in the response.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"PathStack\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://nuonic-39.mintlify.site/_mintlify/api/og/v2?division=Tenants\u0026amp;title=Update+Tenant+By+Id\u0026amp;description=This+endpoint+updates+a+Tenant.%0A%0AYou+can+specify+the+attributes+which+you+want+to+be+updated+and+their+new+values.%0A%0AThe+updated+Tenant+is+returned+in+the+respon\u0026amp;theme=a7ca01a8ea725ca933abf4b0\u0026amp;signature=2f749393681ed7af15f61e2baf7b56eec19b7922a7085cab4f5bb8c2992336df\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Tenant By Id - PathStack\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint updates a Tenant. You can specify the attributes which you want to be updated and their new values. The updated Tenant is returned in the response.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://nuonic-39.mintlify.site/_mintlify/api/og/v2?division=Tenants\u0026amp;title=Update+Tenant+By+Id\u0026amp;description=This+endpoint+updates+a+Tenant.%0A%0AYou+can+specify+the+attributes+which+you+want+to+be+updated+and+their+new+values.%0A%0AThe+updated+Tenant+is+returned+in+the+respon\u0026amp;theme=a7ca01a8ea725ca933abf4b0\u0026amp;signature=2f749393681ed7af15f61e2baf7b56eec19b7922a7085cab4f5bb8c2992336df\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/nuonic-39/fYQpJWsv94JQUvWa/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"PathStack\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2047FA\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/2024-03-27/tenants/update-tenant-by-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.pathstack.io/#organization\",\"name\":\"PathStack\",\"url\":\"https://docs.pathstack.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/nuonic-39/syOOuB1ZSGS1zaSD/logo/light.png?fit=max\u0026auto=format\u0026n=syOOuB1ZSGS1zaSD\u0026q=85\u0026s=9b03c378d1fa1bbd0bfce37ccf17175c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.pathstack.io#website\",\"name\":\"PathStack\",\"url\":\"https://docs.pathstack.io\",\"publisher\":{\"@id\":\"https://docs.pathstack.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id#webpage\",\"url\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id\",\"name\":\"Update Tenant By Id\",\"description\":\"This endpoint updates a Tenant. You can specify the attributes which you want to be updated and their new values. The updated Tenant is returned in the response.\",\"dateModified\":\"2025-09-09T05:08:00.503Z\",\"isPartOf\":{\"@id\":\"https://docs.pathstack.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.pathstack.io/api-reference/2024-03-27/account/account-summary\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Tenants\",\"item\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/tenant-by-id\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update Tenant By Id\",\"item\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id#apireference\",\"headline\":\"Update Tenant By Id\",\"name\":\"Update Tenant By Id\",\"description\":\"This endpoint updates a Tenant. You can specify the attributes which you want to be updated and their new values. The updated Tenant is returned in the response.\",\"url\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id\",\"mainEntityOfPage\":{\"@id\":\"https://docs.pathstack.io/api-reference/2024-03-27/tenants/update-tenant-by-id#webpage\"},\"dateModified\":\"2025-09-09T05:08:00.503Z\",\"publisher\":{\"@id\":\"https://docs.pathstack.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.pathstack.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"PathStack\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"PathStack\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/2024-03-27/tenants/update-tenant-by-id.md","siteName":"PathStack","nav":{"global":null,"versions":[{"version":"2024-03-27","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Endpoints","pages":[{"group":"Account","pages":[{"openapi":"openapi_2024-03-27 get /account/summary","title":"Account Summary","href":"/api-reference/2024-03-27/account/account-summary"},{"openapi":"openapi_2024-03-27 get /account/activity-summary","title":"Account Activity Summary","href":"/api-reference/2024-03-27/account/account-activity-summary"}]},{"group":"Auth","pages":[{"openapi":"openapi_2024-03-27 post /token","title":"Login","href":"/api-reference/2024-03-27/auth/login"},{"openapi":"openapi_2024-03-27 post /refresh","title":"Refresh","href":"/api-reference/2024-03-27/auth/refresh"}]},{"group":"Connections","pages":[{"openapi":"openapi_2024-03-27 get /connection","title":"Connections","href":"/api-reference/2024-03-27/connections/connections"},{"openapi":"openapi_2024-03-27 post /connection","title":"Create Connection","href":"/api-reference/2024-03-27/connections/create-connection"},{"openapi":"openapi_2024-03-27 get /connection/{connection_id}","title":"Connection By Id","href":"/api-reference/2024-03-27/connections/connection-by-id"},{"openapi":"openapi_2024-03-27 patch /connection/{connection_id}","title":"Update Connection","href":"/api-reference/2024-03-27/connections/update-connection"},{"openapi":"openapi_2024-03-27 get /connection/{connection_id}/credentials","title":"Connection Credentials By Id","href":"/api-reference/2024-03-27/connections/connection-credentials-by-id"},{"openapi":"openapi_2024-03-27 patch /connection/{connection_id}/credentials","title":"Update Connection Credentials","href":"/api-reference/2024-03-27/connections/update-connection-credentials"},{"openapi":"openapi_2024-03-27 get /connection-tag","title":"List Connection Tags","href":"/api-reference/2024-03-27/connections/list-connection-tags"}]},{"group":"Devices","pages":[{"openapi":"openapi_2024-03-27 get /device","title":"Devices","href":"/api-reference/2024-03-27/devices/devices"},{"openapi":"openapi_2024-03-27 post /device","title":"Create Device","href":"/api-reference/2024-03-27/devices/create-device"},{"openapi":"openapi_2024-03-27 get /device/{device_id}","title":"Device By Id","href":"/api-reference/2024-03-27/devices/device-by-id"},{"openapi":"openapi_2024-03-27 delete /device/{device_id}","title":"Delete Device By Id","href":"/api-reference/2024-03-27/devices/delete-device-by-id"},{"openapi":"openapi_2024-03-27 patch /device/{device_id}","title":"Update Device By Id","href":"/api-reference/2024-03-27/devices/update-device-by-id"}]},{"group":"Trips","pages":[{"openapi":"openapi_2024-03-27 get /device/{device_id}/trip","title":"Trips","href":"/api-reference/2024-03-27/trips/trips"},{"openapi":"openapi_2024-03-27 get /trip/{trip_id}","title":"Trip By Id","href":"/api-reference/2024-03-27/trips/trip-by-id"}]},{"group":"Positions","pages":[{"openapi":"openapi_2024-03-27 get /device/{device_id}/position","title":"Positions","href":"/api-reference/2024-03-27/positions/positions"},{"openapi":"openapi_2024-03-27 get /trip/{trip_id}/position","title":"Positions By Trip Id","href":"/api-reference/2024-03-27/positions/positions-by-trip-id"}]},{"group":"Real-time","pages":[{"openapi":"openapi_2024-03-27 post /realtime/device","title":"Get Realtime Positions","href":"/api-reference/2024-03-27/real-time/get-realtime-positions"},{"openapi":"openapi_2024-03-27 get /realtime/connect","title":"Get Connect","href":"/api-reference/2024-03-27/real-time/get-connect"}]},{"group":"Webhooks","pages":[{"openapi":"openapi_2024-03-27 get /webhook","title":"Get Webhooks","href":"/api-reference/2024-03-27/webhooks/get-webhooks"},{"openapi":"openapi_2024-03-27 post /webhook","title":"Create Webhook","href":"/api-reference/2024-03-27/webhooks/create-webhook"},{"openapi":"openapi_2024-03-27 get /webhook/{webhook_id}","title":"Get Webhook","href":"/api-reference/2024-03-27/webhooks/get-webhook"},{"openapi":"openapi_2024-03-27 delete /webhook/{webhook_id}","title":"Delete Webhook","href":"/api-reference/2024-03-27/webhooks/delete-webhook"},{"openapi":"openapi_2024-03-27 patch /webhook/{webhook_id}","title":"Patch Webhook","href":"/api-reference/2024-03-27/webhooks/patch-webhook"}]},{"group":"Tags","pages":[{"openapi":"openapi_2024-03-27 get /tag","title":"Get Tags","href":"/api-reference/2024-03-27/tags/get-tags"}]},{"group":"Events","pages":[{"openapi":"openapi_2024-03-27 get /device/{device_id}/event","title":"Events","href":"/api-reference/2024-03-27/events/events"},{"openapi":"openapi_2024-03-27 get /event/{event_id}","title":"Event By Id","href":"/api-reference/2024-03-27/events/event-by-id"}]},{"group":"Tenants","pages":[{"openapi":"openapi_2024-03-27 get /tenant","title":"Tenant By Id","description":"This endpoint gets a Tenant.","href":"/api-reference/2024-03-27/tenants/tenant-by-id"},{"openapi":"openapi_2024-03-27 patch /tenant","title":"Update Tenant By Id","href":"/api-reference/2024-03-27/tenants/update-tenant-by-id"},{"openapi":"openapi_2024-03-27 get /tenant/configuration","title":"Tenant Configuration","description":"This endpoint gets a Tenant.","href":"/api-reference/2024-03-27/tenants/tenant-configuration"}]},{"group":"Milestones","pages":[{"openapi":"openapi_2024-03-27 get /milestone","title":null,"href":"/api-reference/2024-03-27/milestones/get-milestones"},{"openapi":"openapi_2024-03-27 post /milestone","title":null,"href":"/api-reference/2024-03-27/milestones/create-milestone"},{"openapi":"openapi_2024-03-27 get /milestone/{milestone_id}","title":"Get Milestone","href":"/api-reference/2024-03-27/milestones/get-milestone"},{"openapi":"openapi_2024-03-27 delete /milestone/{milestone_id}","title":"Delete Milestone","href":"/api-reference/2024-03-27/milestones/delete-milestone"},{"openapi":"openapi_2024-03-27 patch /milestone/{milestone_id}","title":"Patch Milestone","href":"/api-reference/2024-03-27/milestones/patch-milestone"},{"openapi":"openapi_2024-03-27 get /milestone/{milestone_id}/update","title":"Get Milestone Update","href":"/api-reference/2024-03-27/milestones/get-milestone-update"}]},{"group":"Consumer","pages":[{"openapi":"openapi_2024-03-27 get /consumer/connection/share_request","title":"Get Share Requests","href":"/api-reference/2024-03-27/consumer/get-share-requests"},{"openapi":"openapi_2024-03-27 post /consumer/connection/share_request","title":"Create Share Request","href":"/api-reference/2024-03-27/consumer/create-share-request"}]}]}]},{"tab":"Provider access guides","pages":[{"title":"Provider access guides","href":"/integration-guides/verizon"}]},{"tab":"Legal","pages":[{"title":"Legal","href":"/legal/data-provider-terms"}]}]},{"version":"2024-03-26","pages":[{"title":"2024-03-26","href":"/api-reference/2024-03-26/tenants/update-tenant-by-id"}]}]},"basePath":"","title":"Update Tenant By Id - PathStack","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}